# Config
My dotfiles, I guess

## Note:
Don't use this, I hardcoded my username everywhere, and this is just a place I copy my configs into on my machine.
Nothing is symlinked, nothing is reproducible, nothing is organized, and to be honest... I don't care.

## About
I used to like ricing. Now I use a basic theme, Sway, and a Comic Sans based programming font....

## Packages
General stuff I need to remember:
* Kitty (For launching Neovim)
* Sway & Sway-adjacent utils (For launching Kitty)
* Grim (Select area of the screen)
* Slurp (Slurp the screen into a image file)
* Pamixer (Get the volume from the command line)
* Neovim (Everything)

## General Information
* Operating System: Fedora 41 Workstation
* Theme: Modus Vivendi (tinted)
* Terminal: Kitty
* Window Manager: Sway (Wayland)
* Shell: Zsh
* Editor: Neovim
* Terminal Font: Comic Code + Nerd Fonts
* UI Font: JetBrains Mono

## Screenshots
![](screenshot1.png)
![](screenshot2.png)

## Neovim Configuration
Neovim my beloved.

### General plugin overview
* `auto-session`: Session restore
* `cmp-*`: Autocomplete
* `colorful-menu`: Colorful treesitter autocomplete
* `conform`: Buffer formatting
* `fidget.nvim`: Why is clangd taking so long to start, oh its just indexing...
* `lazy.nvim`: Package manager that everybody uses, so I guess I do as well
* `lspkind.nvim`: Nice symbols in autocomplete that show the kind of symbol
* `mason-*.nvim`: Automatic LSP/Formatter/Debugger installer, cause I'm laazzyyyy(not .nvim)
* `mini.nvim`: Swiss army knife plugin, does basically everything. I use it for the statusline, and some other text-related stuff
* `modus-themes.nvim`: Best theme ever. Port of the original Emacs theme
* `nvim-bufdel`: Nicer buffer delete. Do I even need this anymore???
* `nvim-lspconfig`: LSP server configuration
* `nvim-treesitter`: Better syntax highlighting
* `nvim-web-devicons`: Nerd font icons
* `tabby.nvim`: Tab line, just switch buffers with telescope....
* `telescope.nvim`: Pick & find everything
* `trouble.nvim`: Kinda better quickfix list, don't use it alot but it's nice
* `which-key.nvim`: Bind keys, find out what they do later when you inevitably forget them
* `lazydev.nvim`: Better Neovim API support in Lua
* `lsp_signature.nvim`: LSP function signature autocomplete
* (DISABLED) `neo-tree`: Good for big refactors sometimes, otherwise file trees are kinda bloat
